mouseOver = false
menu_button = {}
paused_button = {}
options_button = {}

function menu_button_spawn(x, y, text, id)
	table.insert(menu_button, {x = x, y = y, text = text, id = id, mouseOver = false})
end

function paused_button_spawn(x, y, text, id)
	table.insert(paused_button, {x = x, y = y, text = text, id = id, mouseOver = false})
end

function options_button_spawn(x, y, text, id)
	table.insert(options_button, {x = x, y = y, text = text, id = id, mouseOver = false})
end

function button_draw()
	if gamestate == "menu" then
		for i,v in ipairs(menu_button) do
			if v.mouseOver == false then
				love.graphics.setColor(84, 84, 84)
			end
			if v.mouseOver == true then
				love.graphics.setColor(255, 0, 0)
			end
			love.graphics.setFont(medium)
			love.graphics.print(v.text, v.x, v.y)
		end
	end
	
	if gamestate == "options" then
		for i,v in ipairs(options_button) do
			if v.mouseOver == false then
				love.graphics.setColor(84, 84, 84)
			end
			if v.mouseOver == true then
				love.graphics.setColor(255, 0, 0)
			end
			love.graphics.setFont(medium)
			love.graphics.print(v.text, v.x, v.y)
		end
	end
	
	if gamestate == "paused" then
		for i,v in ipairs(paused_button) do
			if v.mouseOver == false then
				love.graphics.setColor(84, 84, 84)
			end
			if v.mouseOver == true then
				love.graphics.setColor(255, 0, 0)
			end
			love.graphics.setFont(medium)
			love.graphics.print(v.text, v.x, v.y)
		end
	end
end

function button_click(x, y)
	if gamestate == "menu" then
		for i, v in ipairs(menu_button) do
			if x > v.x and
				x < v.x + medium:getWidth(v.text) and
				y > v.y and
				y < v.y + medium:getHeight() then
					if v.id == "quit" then
						love.event.push("quit")
					end
					if v.id == "start" then
						gamestate = "playing"
					end
					if v.id == "options" then
						gamestate = "options"
					end
				end
			end
		end
	end
	
	if gamestate == "options" then
		for i, v in ipairs(options_button) do
			if x > v.x and
				x < v.x + medium:getWidth(v.text) and
				y > v.y and
				y < v.y + medium:getHeight() then
					if v.id == "speed" then
						if speed_index == 1 then speed_index = 2
						elseif speed_index == 2 then speed_index = 3
						elseif speed_index == 3 then speed_index = 1
					end
					if v.id == "walls" then
						walls = not walls
					end
					if v.id == "menu_return" then
						gamestate = "menu"
					end
			end
		end
	end
	
	if gamestate == "paused" then
		for i, v in ipairs(paused_button) do
			if x > v.x and
				x < v.x + medium:getWidth(v.text) and
				y > v.y and
				y < v.y + medium:getHeight() then
					if v.id == "continue" then
						gamestate = "playing"
					end
					if v.id == "menu" then
						gamestate = "menu"
					end
			end
		end
	end
end

function button_check()
	if gamestate == "menu" then
		for i, v in ipairs(menu_button) do
			if mousex > v.x and 
			mousex < v.x + medium:getWidth(v.text) and
			mousey > v.y and
			mousey < v.y + medium:getHeight() then
				v.mouseOver = true
			else
				v.mouseOver = false
			end
		end
	end
	
	if gamestate == "paused" then
		for i, v in ipairs(paused_button) do
			if mousex > v.x and 
			mousex < v.x + medium:getWidth(v.text) and
			mousey > v.y and
			mousey < v.y + medium:getHeight() then
				v.mouseOver = true
			else
				v.mouseOver = false
			end
		end
	end
	
	if gamestate == "options" then
		for i, v in ipairs(options_button) do
			if mousex > v.x and 
			mousex < v.x + medium:getWidth(v.text) and
			mousey > v.y and
			mousey < v.y + medium:getHeight() then
				v.mouseOver = true
			else
				v.mouseOver = false
			end
		end
	end
end
